List retained revisions under current authority
GET
/v1/files/{fileId}/revisionsAuthorizationBearer <token>
In: header
Path Parameters
fileId*string
Format:
uuidQuery Parameters
workplaceId*string
Format:
uuidafter?string
Format:
uuidlimit?integer
Range:
1 <= value <= 100Default:
50Response Body
application/json
curl -X GET "https://example.com/v1/files/497f6eca-6276-4993-bfeb-53cbbbba6f08/revisions?workplaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"revisions": [
{
"workplaceId": "4989ce91-52f9-461b-87fa-af1f28004fc0",
"fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc",
"name": "string",
"version": "8b898373-21c7-4028-b85f-cc5068e68df9",
"revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6",
"reference": "string",
"revisionReference": "string",
"byteLength": 0,
"contentType": "string",
"sha256": "string",
"actorId": "d2f1b55c-8cee-4a0d-af57-aebaeff77518",
"createdAt": "2019-08-24T14:15:22Z",
"isCurrent": true,
"expiresAt": "2019-08-24T14:15:22Z",
"restoredFromRevisionId": "77a4d71f-cccb-4da4-bef3-ea0e06fd9844"
}
],
"nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"
}